import 'package:fis_jsonrpc/rpc.dart';
import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

class AIIcon {
  /// 构建aiIcon 颜色
  static Color buildAIIconColor(String diagnosisConclusion) {
    switch (diagnosisConclusion) {
      case 'NoObviousLesion':
      case 'Other':
        return Colors.lightBlue;
      case 'Benign':
        return Colors.greenAccent;
      case 'Malignant':
      case 'BenignAndMalignant':
        return Colors.orangeAccent;
      default:
        return Colors.transparent;
    }
  }

  static IconData buildAIIcon(DiagnosisOrganEnum reportOrgan) {
    switch (reportOrgan) {
      case DiagnosisOrganEnum.Breast:
        return FIcons.mammary_gland;
      case DiagnosisOrganEnum.Abdomen:
        return FIcons.fis_abdomen;
      case DiagnosisOrganEnum.Liver:
        return FIcons.liver;
      case DiagnosisOrganEnum.Cholecyst:
        return FIcons.liver;
      case DiagnosisOrganEnum.Kidney:
        return FIcons.fis_kidney;
      case DiagnosisOrganEnum.Spleen:
        return FIcons.fis_spleen;
      case DiagnosisOrganEnum.CarotidArtery:
        return FIcons.arteria_carotis;
      case DiagnosisOrganEnum.Neck:
        return FIcons.fis_thyroid;
      case DiagnosisOrganEnum.Thyroid:
        return FIcons.fis_thyroid;
      default:
        return FIcons.diagnostics;
    }
  }
}
